Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.util
Class AlphaNumericSequencerImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.axiom.util.AlphaNumericSequencerImpl

Direct Known Subclasses:
  AlphaNumericSequencerExtensionImpl

public class AlphaNumericSequencerImpl
extends EntityImpl

This class generates sequential identifiers in a prescribed format.. The user of the classs can configure the starting number, prefix, suffix, and step. It is also possible to specify the width of the numeric component. The current sequence number is persisted and access to the counter is controlled so that uniqueness can be guaranteed across all users of a given sequencer. It is used to generate unique keys for entities such as accounts, users, and sessions.

     Primary Key = theory.smart.axiom.util.AlphaNumericSequencerPk

See Also:
  `AlphaNumericSequencer`, `AlphaNumericSequencerHome`, `AlphaNumericSequencerValue`, Serialized Form

Field Summary
`int` | `counter` counter [AlphaNumericSequencer] <*>------> [`int`]
`java.lang.String` | `identifier` identifier [AlphaNumericSequencer] <*>------> [`String`] (Primary Key)
`int` | `numDigits` numDigits [AlphaNumericSequencer] <*>------> [`int`]
`java.lang.String` | `prefix` prefix [AlphaNumericSequencer] <*>------> [`String`]
`int` | `step` step [AlphaNumericSequencer] <*>------> [`int`]
`java.lang.String` | `suffix` suffix [AlphaNumericSequencer] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`AlphaNumericSequencerImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`AlphaNumericSequencerPk` | `ejbCreate(AlphaNumericSequencerPk alphaNumericSequencerPk)`
`protected void` | `ejbCreateInitVars(AlphaNumericSequencerPk alphaNumericSequencerPk)`
`java.util.Enumeration` | `ejbFindAll()`
`AlphaNumericSequencerPk` | `ejbFindByPrimaryKey(AlphaNumericSequencerPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(AlphaNumericSequencerPk alphaNumericSequencerPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`AlphaNumericSequencerValue` | `getAlphaNumericSequencerByValue()` Get all of AlphaNumericSequencer's attributes.
`int` | `getCounter()` Get the value of counter
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getNextValue()` This method returns the next value of the AlphaNumericSequencer.
`int` | `getNumDigits()` Get the value of numDigits
`java.lang.String` | `getPrefix()` Get the value of prefix
`int` | `getStep()` Get the value of step
`java.lang.String` | `getSuffix()` Get the value of suffix
`java.lang.String` | `getValue()` This method returns the CURRENT value of the AlphaNumericSequencer.
`void` | `initialize(java.lang.String prefix, int numDigits, java.lang.String suffix, int start, int step)` This is a short cut to initialize the sequencer
`void` | `setAlphaNumericSequencerByValue(AlphaNumericSequencerValue value)` Set all of AlphaNumericSequencer's attributes to the passed in value.
`void` | `setCounter(int counter)` Set the value of counter
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setNumDigits(int numDigits)` Set the value of numDigits
`void` | `setPrefix(java.lang.String prefix)` Set the value of prefix
`void` | `setStep(int step)` Set the value of step
`void` | `setSuffix(java.lang.String suffix)` Set the value of suffix
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [AlphaNumericSequencer] <*>------> [String] (Primary Key)

### prefix

    public java.lang.String prefix

                        prefix
       [AlphaNumericSequencer] <*>------> [String]

### numDigits

    public int numDigits

                        numDigits
       [AlphaNumericSequencer] <*>------> [int]

### suffix

    public java.lang.String suffix

                        suffix
       [AlphaNumericSequencer] <*>------> [String]

### step

    public int step

                        step
       [AlphaNumericSequencer] <*>------> [int]

### counter

    public int counter

                        counter
       [AlphaNumericSequencer] <*>------> [int]

Constructor Detail

### AlphaNumericSequencerImpl

    public AlphaNumericSequencerImpl()
                              throws CreateException

Method Detail

### getAlphaNumericSequencerByValue

    public AlphaNumericSequencerValue getAlphaNumericSequencerByValue()
                                                               throws java.rmi.RemoteException

  Get all of AlphaNumericSequencer's attributes.
  Returns:
    AlphaNumericSequencerValue the AlphaNumericSequencer value object

### setAlphaNumericSequencerByValue

    public void setAlphaNumericSequencerByValue(AlphaNumericSequencerValue value)
                                         throws java.rmi.RemoteException

  Set all of AlphaNumericSequencer's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `AlphaNumericSequencerValue` - the AlphaNumericSequencer value object

### ejbCreate

    public AlphaNumericSequencerPk ejbCreate(AlphaNumericSequencerPk alphaNumericSequencerPk)
                                      throws CreateException,
                                             java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(AlphaNumericSequencerPk alphaNumericSequencerPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(AlphaNumericSequencerPk alphaNumericSequencerPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class EntityImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class EntityImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class EntityImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class EntityImpl

### ejbFindByPrimaryKey

    public AlphaNumericSequencerPk ejbFindByPrimaryKey(AlphaNumericSequencerPk pk)
                                                throws FinderException,
                                                       java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws java.rmi.RemoteException

### getPrefix

    public java.lang.String getPrefix()
                               throws java.rmi.RemoteException

  Get the value of prefix
  Returns:
    prefix.

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws java.rmi.RemoteException

  Set the value of prefix
  Parameters:
    `prefix` - prefix to be added

### getNumDigits

    public int getNumDigits()
                     throws java.rmi.RemoteException

  Get the value of numDigits
  Returns:
    numDigits.

### setNumDigits

    public void setNumDigits(int numDigits)
                      throws java.rmi.RemoteException

  Set the value of numDigits
  Parameters:
    `numDigits` - numDigits to be added

### getSuffix

    public java.lang.String getSuffix()
                               throws java.rmi.RemoteException

  Get the value of suffix
  Returns:
    suffix.

### setSuffix

    public void setSuffix(java.lang.String suffix)
                   throws java.rmi.RemoteException

  Set the value of suffix
  Parameters:
    `suffix` - suffix to be added

### getStep

    public int getStep()
                throws java.rmi.RemoteException

  Get the value of step
  Returns:
    step.

### setStep

    public void setStep(int step)
                 throws java.rmi.RemoteException

  Set the value of step
  Parameters:
    `step` - step to be added

### getCounter

    public int getCounter()
                   throws java.rmi.RemoteException

  Get the value of counter
  Returns:
    counter.

### setCounter

    public void setCounter(int counter)
                    throws java.rmi.RemoteException

  Set the value of counter
  Parameters:
    `counter` - counter to be added

### initialize

    public void initialize(java.lang.String prefix,
                           int numDigits,
                           java.lang.String suffix,
                           int start,
                           int step)
                    throws java.rmi.RemoteException

  This is a short cut to initialize the sequencer

### getNextValue

    public java.lang.String getNextValue()
                                  throws java.rmi.RemoteException

  This method returns the next value of the AlphaNumericSequencer. The counter gets incremented.
  See Also:
    `getValue()`

### getValue

    public java.lang.String getValue()
                              throws java.rmi.RemoteException

  This method returns the CURRENT value of the AlphaNumericSequencer.
  See Also:
    `getNextValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.